# Generated by Django 4.0.3 on 2024-05-03 11:49

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('Policies', '0026_remove_institute_university_delete_colleg'),
    ]

    operations = [
        migrations.CreateModel(
            name='Colleg',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='NONE', max_length=30)),
                ('acronym', models.CharField(max_length=30)),
                ('policy', models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, to='Policies.policyguide')),
            ],
        ),
        migrations.AddField(
            model_name='institute',
            name='university',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='Policies.colleg'),
        ),
    ]
